# frozen_string_literal: true

require 'date'
require 'fileutils'
require 'rsgem/version'
require 'rsgem/gem'
require 'rsgem/errors/base'
require 'rsgem/errors/missing_gem_name'
require 'rsgem/ci_providers/base'
require 'rsgem/ci_providers/github_actions'
require 'rsgem/ci_providers/travis'
require 'rsgem/tasks/output'
require 'rsgem/tasks/base'
require 'rsgem/tasks/add_ci_provider'
require 'rsgem/tasks/add_code_analysis'
require 'rsgem/tasks/add_dependency'
require 'rsgem/tasks/clean_gemfile'
require 'rsgem/tasks/create_gem'
require 'rsgem/tasks/ensure_author'
require 'rsgem/tasks/ignore_gemfile_lock'
require 'rsgem/tasks/clean_gemspec'
require 'rsgem/tasks/bundle_dependencies'
require 'rsgem/tasks/run_rubocop'
require 'rsgem/tasks/set_bundled_files'
require 'rsgem/tasks/set_license_file'
require 'rsgem/tasks/simple_cov_post_install'
require 'rsgem/tasks/set_required_ruby_version'
require 'rsgem/dependencies/base'
require 'rsgem/dependencies/rake'
require 'rsgem/dependencies/reek'
require 'rsgem/dependencies/rspec'
require 'rsgem/dependencies/rubocop'
require 'rsgem/dependencies/simplecov'
require 'rsgem/constants'
require 'rsgem/colors'
require 'rsgem/context'
require 'dry/cli'
require 'rsgem/cli/commands/new'
require 'rsgem/cli/commands/version'
require 'rsgem/cli/commands'

module RSGem
end
